=== modified file 'bzrlib/gpg.py'
--- bzrlib/gpg.py	2012-03-12 12:35:59 +0000
+++ bzrlib/gpg.py	2012-06-29 08:12:32 +0000
@@ -213,7 +213,7 @@
             # use the user email address
             key = config.extract_email_address(self._config_stack.get('email'))
         return [self._config_stack.get('gpg_signing_command'), '--clearsign',
-                '-u', key, '--no-tty']
+                '-u', key]
 
     def sign(self, content):
         if isinstance(content, unicode):

=== modified file 'bzrlib/tests/test_gpg.py'
--- bzrlib/tests/test_gpg.py	2012-02-26 19:21:01 +0000
+++ bzrlib/tests/test_gpg.py	2012-06-26 23:04:30 +0000
@@ -51,7 +51,7 @@
         self.my_gpg = gpg.GPGStrategy(FakeConfig())
 
     def test_signing_command_line(self):
-        self.assertEqual(['false',  '--clearsign', '-u', 'amy@example.com', '--no-tty'],
+        self.assertEqual(['false',  '--clearsign', '-u', 'amy@example.com'],
                          self.my_gpg._command_line())
 
     def test_signing_command_line_from_default(self):
@@ -60,7 +60,7 @@
 email=Amy <amy@example.com>
 gpg_signing_key=default
 gpg_signing_command=false'''))
-        self.assertEqual(['false',  '--clearsign', '-u', 'amy@example.com', '--no-tty'],
+        self.assertEqual(['false',  '--clearsign', '-u', 'amy@example.com'],
                          my_gpg._command_line())
 
     def test_signing_command_line_from_email(self):
@@ -68,7 +68,7 @@
         my_gpg = gpg.GPGStrategy(FakeConfig('''
 email=Amy <amy@example.com>
 gpg_signing_command=false'''))
-        self.assertEqual(['false',  '--clearsign', '-u', 'amy@example.com', '--no-tty'],
+        self.assertEqual(['false',  '--clearsign', '-u', 'amy@example.com'],
                          my_gpg._command_line())
 
     def test_checks_return_code(self):

=== modified file 'doc/en/release-notes/bzr-2.5.txt'
--- doc/en/release-notes/bzr-2.5.txt	2012-06-18 11:43:07 +0000
+++ doc/en/release-notes/bzr-2.5.txt	2012-06-29 08:12:32 +0000
@@ -32,6 +32,8 @@
 .. Fixes for situations where bzr would previously crash or give incorrect
    or undesirable results.
 
+* Revert use of --no-tty when gpg signing commits. (Jelmer Vernooij, #1014570)
+
 Documentation
 *************
 

